Creates a new object that belongs to a static category (like Company,Project,...)

Request Information

URI Parameters :

None.

Body Parameters :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "94244551-2d7e-44cd-9287-1a91ed072c79",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "ed2098c9-a755-456b-8e9c-1603450c5e55",
  "db_info_category_code": "sample string 6",
  "parent_id": "1e45e6e1-d0f6-4982-b997-47b178a6e7d6",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-10-27T09:38:34.3207842+00:00"
}

Response Information

Resource Description :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "0654def3-ca77-44c1-976a-215ff498d692",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "b7127c5c-74ae-4234-a039-2f6ddc1c35f1",
  "db_info_category_code": "sample string 6",
  "parent_id": "c2d1bbf6-6ec9-4b69-be72-9b4ab492c6bc",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-10-27T09:38:34.3207842+00:00"
}